Unit tde13e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE13E_p, DE13E_p;

function tde13e: String;

implementation

function tde13e: String;
var
M,_i,IERR :Integer;
XI,XF,H,HMIN,ERR,P :Extended;
YI :Array [0..3] of Extended;
YF :Array [0..3] of Extended;
YP :Array [0..3] of Extended;
DELTY :Array [0..3] of Extended;
RAB :Array [0..3] of Extended;
RAB1 :Array [0..3] of Extended;
begin
Result := '';  {   }
M := 4;
YI[0] := 0.0;
YI[1] := 0.0;
YI[2] := 0.0;
YI[3] := 0.0;
XI := 0.0;
XF := 8.0;
H := 0.01;
HMIN := 1.E-6;
ERR := 1.E-5;
P := 1.E-6;
DE13E(FDE13E,M,XI,YI,XF,HMIN,ERR,P,H,YF,YP,DELTY,RAB,RAB1,IERR);
Result := Result + Format('%s',[' XK=']);
Result := Result + Format('%20.16f ',[XF]);
Result := Result + Format('%s',[#$0D#$0A + ' Y=' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[YF[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
UtRes('tde13e',Result);  {     tde13e.res }
exit;
end;

end.
